## Apache Zeta Components Manual :: Docs For Class ezcDbSchemaTableDiff

### DatabaseSchema::ezcDbSchemaTableDiff

### Class ezcDbSchemaTableDiff

A container to store table difference information in.

Source for this file: /DatabaseSchema/src/structs/table_diff.php

    ezcBaseStruct
       |
       --ezcDbSchemaTableDiff

Version: | //autogentag//

### Member Variables

public array(string=>ezcDbSchemaField) | `$addedFields` All added fields
public array(string=>ezcDbSchemaIndex) | `$addedIndexes` All added indexes
public array(string=>ezcDbSchemaField) | `$changedFields` All changed fields
public array(string=>ezcDbSchemaIndex) | `$changedIndexes` All changed indexes
public array(string=>bool) | `$removedFields` All removed fields
public array(string=>bool) | `$removedIndexes` All removed indexes

### Method Summary

public static void | `__set_state( $array )`
public ezcDbSchemaTableDiff | `__construct( [ $addedFields = array()] , [ $changedFields = array()] , [ $removedFields = array()] , [ $addedIndexes = array()] , [ $changedIndexes = array()] , [ $removedIndexes = array()] )` Constructs an ezcDbSchemaTableDiff object.

### Methods

#### __set_state

static void __set_state( $array )

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array |

#### __construct

ezcDbSchemaTableDiff __construct( [array(string=>ezcDbSchemaField) $addedFields = array()] , [array(string=>ezcDbSchemaField) $changedFields = array()] , [array(string=>bool) $removedFields = array()] , [array(string=>ezcDbSchemaIndex) $addedIndexes = array()] , [array(string=>ezcDbSchemaIndex) $changedIndexes = array()] , [array(string=>bool) $removedIndexes = array()] )

Constructs an ezcDbSchemaTableDiff object.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$addedFields` | array(string=>ezcDbSchemaField) |
`$changedFields` | array(string=>ezcDbSchemaField) |
`$removedFields` | array(string=>bool) |
`$addedIndexes` | array(string=>ezcDbSchemaIndex) |
`$changedIndexes` | array(string=>ezcDbSchemaIndex) |
`$removedIndexes` | array(string=>bool) |

Documentation generated by phpDocumentor 1.4.3